# Uses of Class
it.tdlight.jni.TdApi.StoryFullId

## Uses of TdApi.StoryFullId in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.StoryFullId
Modifier and Type
Field
Description
`TdApi.StoryFullId`
TdApi.SendStory.`fromStoryFullId`
Full identifier of the original story, which content was used to create the story.
Constructors in it.tdlight.jni with parameters of type TdApi.StoryFullId
Modifier
Constructor
Description
``
`SendStory(long chatId, TdApi.InputStoryContent content, TdApi.InputStoryAreas areas, TdApi.FormattedText caption, TdApi.StoryPrivacySettings privacySettings, int activePeriod, TdApi.StoryFullId fromStoryFullId, boolean isPinned, boolean protectContent)`
Sends a new story to a chat; requires canPostStories right for supergroup and channel chats.